package com.sqx.modules.discSpinning.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.app.entity.UserEntity;
import com.sqx.modules.discSpinning.entity.DiscSpinning;
import com.sqx.modules.discSpinning.entity.DiscSpinningRecord;

public interface DiscSpinningService extends IService<DiscSpinning> {

    //抽奖
    DiscSpinningRecord draws(int drawCount, double orderAmount, Long orderId, Long userId, Integer source);

    //领奖
    void receiveAsync(DiscSpinningRecord receive);

    //提现
    void withdraw(UserEntity userInfo, Double money);

    //提现
    void withdraw(UserEntity userInfo, Double money, String title);

    //提现
    void withdrawAsync(UserEntity userInfo, Double money, String title);

    //领取
    void receive1(DiscSpinningRecord receive);

}

